# skbio.alignment.AlignmentStructure.cigar

`AlignmentStructure.``cigar`

  Cigar formatted string for the optimal alignment

  Returns:

  str

  > The cigar string of the optimal alignment

  Notes

  The cigar string format is described in [R89] and [R90].

  If there is no cigar or optimal alignment, this will return an empty string

  References

  [R89] | (1, 2) http://genome.sph.umich.edu/wiki/SAM

  [R90] | (1, 2) http://samtools.github.io/hts-specs/SAMv1.pdf